> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /funda/listings/search

> Search Funda real estate listings by area (city or city/neighbourhood) and mode (koop/huur/nieuwbouw/recreatie). Returns listing cards with address, price, living area, rooms, bedrooms, energy label, construction type, selling agent, photos and the listing detail url.

**Price:** 5 credits per 15 results



## OpenAPI

````yaml /openapi/real-estate.json post /api/funda/listings/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/funda/listings/search:
    post:
      tags:
        - /funda
      summary: /funda/listings/search
      description: >-
        Search Funda real estate listings by area (city or city/neighbourhood)
        and mode (koop/huur/nieuwbouw/recreatie). Returns listing cards with
        address, price, living area, rooms, bedrooms, energy label, construction
        type, selling agent, photos and the listing detail url.


        **Price:** 5 credits per 15 results
      operationId: __api_funda_listings_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FundaListingsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FundaSearchListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FundaListingsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        area:
          type: string
          minLength: 1
        mode:
          $ref: '#/components/schemas/FundaMode'
          default: koop
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - area
        - count
    FundaSearchListing:
      properties:
        '@type':
          type: string
          default: FundaSearchListing
        id:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        object_type:
          anyOf:
            - type: string
            - type: 'null'
        offering_type:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/FundaSearchAddress'
            - type: 'null'
        price:
          anyOf:
            - type: integer
            - type: 'null'
        price_label:
          anyOf:
            - type: string
            - type: 'null'
        living_area_m2:
          anyOf:
            - type: integer
            - type: 'null'
        room_count:
          anyOf:
            - type: integer
            - type: 'null'
        bedroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        energy_label:
          anyOf:
            - type: string
            - type: 'null'
        construction_type:
          anyOf:
            - type: string
            - type: 'null'
        blikvanger:
          anyOf:
            - type: string
            - type: 'null'
        available_media_types:
          items:
            type: string
          type: array
          default: []
        images:
          items:
            type: string
          type: array
          default: []
        agent:
          anyOf:
            - $ref: '#/components/schemas/FundaSearchAgent'
            - type: 'null'
        publish_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FundaMode:
      type: string
      enum:
        - koop
        - huur
        - nieuwbouw
        - recreatie
    FundaSearchAddress:
      properties:
        '@type':
          type: string
          default: FundaSearchAddress
        street:
          anyOf:
            - type: string
            - type: 'null'
        house_number:
          anyOf:
            - type: string
            - type: 'null'
        postcode:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        neighbourhood:
          anyOf:
            - type: string
            - type: 'null'
        province:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    FundaSearchAgent:
      properties:
        '@type':
          type: string
          default: FundaSearchAgent
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        association:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````